> For the complete documentation index, see [llms.txt](https://docs.uqudo.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uqudo.com/docs/kyc/uqudo-sdk/sdk-result/data-structure/reading-object/oman-id.md).

# Oman ID

<table><thead><tr><th width="177">Attribute Level 1</th><th width="224">Attribute Level 2</th><th>Description</th></tr></thead><tbody><tr><td><strong>photo</strong></td><td></td><td>Base64 encoded picture of the user</td></tr><tr><td><strong>sponsor</strong></td><td></td><td><strong>Only available for ID card for Residents</strong></td></tr><tr><td></td><td><strong>sponsorNumber</strong></td><td>Sponsor number</td></tr><tr><td></td><td><strong>sponsorExpiryDate</strong></td><td>Sponsor expiry date (YYYYMMDD)</td></tr><tr><td></td><td><strong>sponsorRelationship</strong></td><td>Sponsor relationship</td></tr><tr><td></td><td><strong>sponsorIssueDate</strong></td><td>Sponsor issue date (YYYYMMDD)</td></tr><tr><td><strong>visa</strong></td><td></td><td><strong>Only available for ID card for Residents</strong></td></tr><tr><td></td><td><strong>visaPlaceOfIssueArabic</strong></td><td>Visa place of issue</td></tr><tr><td></td><td><strong>visaExpiryDate</strong></td><td>Visa expiry date (YYYYMMDD)</td></tr><tr><td></td><td><strong>visaNumber</strong></td><td>Visa number</td></tr><tr><td><strong>document</strong></td><td></td><td></td></tr><tr><td></td><td><strong>expiryDate</strong></td><td>Document expiry date (YYYYMMDD)</td></tr><tr><td></td><td><strong>placeOfIssueArabic</strong></td><td>Document place of issue in Arabic</td></tr><tr><td></td><td><strong>placeOfIssueEnglish</strong></td><td>Document place of issue in English</td></tr><tr><td></td><td><strong>idNumber</strong></td><td>Document id number</td></tr><tr><td></td><td><strong>issueDate</strong></td><td>Document issue date (YYYYMMDD)</td></tr><tr><td><strong>personalInformation</strong></td><td></td><td></td></tr><tr><td></td><td><strong>placeOfBirth</strong></td><td>Place of birth (In English for residents and Arabic for citizens)</td></tr><tr><td></td><td><strong>nationalityArabic</strong></td><td>Nationality in Arabic</td></tr><tr><td></td><td><strong>nationalityEnglish</strong></td><td>Nationality in English</td></tr><tr><td></td><td><strong>genderEnglish</strong></td><td>Gender in English</td></tr><tr><td></td><td><strong>genderArabic</strong></td><td>Gender in Arabic</td></tr><tr><td></td><td><strong>countryOfBirthArabic</strong></td><td>Country of birth in Arabic</td></tr><tr><td></td><td><strong>dateOfBirth</strong></td><td>Date of birth (YYYYMMDD)</td></tr><tr><td><strong>name</strong></td><td></td><td></td></tr><tr><td></td><td><strong>fullNameArabic</strong></td><td>Full name in Arabic</td></tr><tr><td></td><td><strong>fullNameEnglish</strong></td><td>Full name in English</td></tr><tr><td><strong>company</strong></td><td></td><td><strong>Only available for ID card for Residents</strong></td></tr><tr><td></td><td><strong>companyAddressArabic</strong></td><td>Company address in Arabic</td></tr><tr><td></td><td><strong>companyNameArabic</strong></td><td>Company name in Arabic</td></tr><tr><td></td><td><strong>companyNameEnglish</strong></td><td>Company name in English</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uqudo.com/docs/kyc/uqudo-sdk/sdk-result/data-structure/reading-object/oman-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
